package com.aopcloud.beam.app.api.app.service.impl;

import com.aopcloud.beam.app.api.ad.entity.AdItem;
import com.aopcloud.beam.app.api.ad.service.impl.AdItemServiceImpl;
import com.aopcloud.beam.app.api.ad.service.impl.ItemServiceImpl;
import com.aopcloud.beam.app.api.app.entity.HomeCoinBean;
import com.aopcloud.beam.app.api.app.entity.HomeBean;
import com.aopcloud.beam.app.api.app.entity.HomeNotice;
import com.aopcloud.beam.app.api.app.entity.NoticeBean;
import com.aopcloud.beam.app.api.app.mapper.HomeNoticeMapper;
import com.aopcloud.beam.app.api.app.service.IAppService;
import com.aopcloud.beam.app.api.coin.service.impl.CoinServiceImpl;
import com.aopcloud.beam.app.util.AliyunOSSUtil;
import com.aopcloud.beam.app.core.Result;
import com.aopcloud.beam.app.core.ResultGenerator;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
public class AppServiceImpl implements IAppService {


    @Resource
    private AdItemServiceImpl itemService;
    @Resource
    private HomeNoticeServiceImpl homeNoticeService;

    @Resource
    private CoinServiceImpl coinService;

    public Result getHome() {
        HomeBean homeBean = new HomeBean();
        List<AdItem> list = itemService.getById(1);
        homeBean.banner = list;
        homeBean.notice = homeNoticeService.getList();
        homeBean.coin = coinService.list();
        return ResultGenerator.genSuccessResult(homeBean);
    }
}
