package com.aopcloud.beam.app.api.app.service.impl;

import com.aopcloud.beam.app.api.app.entity.HomeNotice;
import com.aopcloud.beam.app.api.app.mapper.HomeNoticeMapper;
import com.aopcloud.beam.app.api.app.service.IHomeNoticeService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 首页广播 服务实现类
 * </p>
 *
 * @author Enoch
 * @since 2021-03-05
 */
@Service
public class HomeNoticeServiceImpl extends ServiceImpl<HomeNoticeMapper, HomeNotice> implements IHomeNoticeService {


    public List getList() {
        QueryWrapper<HomeNotice> notice = new QueryWrapper();
        notice.orderByDesc("create_time");
        notice.last("limit 0,10");
        return baseMapper.selectList(notice);
    }


}
