package com.aopcloud.beam.app.api.img.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * img 表格
 * </p>
 *
 * @author Enoch
 * @since 2021-01-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BeamImg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * url
     */
    private String url;

    /**
     * url 描述
     */
    private String description;

    /**
     * file_md5
     */
    private String imgMd5;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间	
     */
    private LocalDateTime updateTime;


}
