package com.aopcloud.beam.app.api.member.controller;


import com.aopcloud.beam.app.api.member.entity.AddCoinAddress;
import com.aopcloud.beam.app.api.member.entity.Member;
import com.aopcloud.beam.app.api.member.service.impl.MemberCoinAddressServiceImpl;
import com.aopcloud.beam.app.core.Result;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.HashMap;

/**
 * <p>
 * 会员货币地址表 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@RestController
@RequestMapping("/member/address")
public class MemberCoinAddressController {



    @Resource
    private MemberCoinAddressServiceImpl service;

    @PostMapping("/create")
    public Result create(@RequestBody HashMap<String,Object> params){
        return  service.create(params);
    }


    @PostMapping("/delete")
    public Result delete(@RequestBody HashMap<String, Object> params) {
        return service.delete((Integer) params.get("id"));
    }

    @GetMapping("/list")
    public Result getList(@RequestHeader(required = false) String token,@RequestParam(required = false,defaultValue = "0") int coinId) {
        return service.getList(token,coinId);
    }




}
