package com.aopcloud.beam.app.api.member.service.impl;

import com.aopcloud.beam.app.api.member.entity.Member;
import com.aopcloud.beam.app.api.member.entity.MemberCoinRecord;
import com.aopcloud.beam.app.api.member.mapper.MemberCoinRecordMapper;
import com.aopcloud.beam.app.api.member.service.IMemberCoinRecordService;
import com.aopcloud.beam.app.core.Result;
import com.aopcloud.beam.app.core.ResultGenerator;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 会员挖矿记录表 服务实现类
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@Service
public class MemberCoinRecordServiceImpl extends ServiceImpl<MemberCoinRecordMapper, MemberCoinRecord> implements IMemberCoinRecordService {


    @Resource
    private MemberServiceImpl memberService;

    public Result getList(String token) {
        Member member = memberService.getMemberByToken(token);
        return ResultGenerator.genSuccessResult(baseMapper.getList(member.getId()));
    }
}
