package com.aopcloud.beam.app.common;


import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class PayConfig implements InitializingBean {
    @Value("${xy.pay.appid}")
    private String appId;

    @Value("${xy.pay.key}")
    private String key;

    @Value("${xy.pay.notify-url}")
    private String notifyUrl;

    @Value("${xy.pay.order.create-url}")
    private String orderCreateUrl;
    @Value("${xy.pay.order.query-url}")
    private String orderQueryUrl;


    public static String PAY_APP_ID;
    public static String PAY_KEY;
    public static String PAY_NOTIFY_URL;

    public static String PAY_ORDER_CREATE_URL;
    public static String PAY_ORDER_QUERY_URL;


    @Override
    public void afterPropertiesSet() throws Exception {
        PAY_APP_ID = appId;
        PAY_KEY = key;
        PAY_NOTIFY_URL = notifyUrl;
        PAY_ORDER_CREATE_URL = orderCreateUrl;
        PAY_ORDER_QUERY_URL = orderQueryUrl;
    }
}
