package com.aopcloud.beam.app.core;

public class AppException extends RuntimeException{

    private int code;  //异常状态码
    private String message;  //异常信息
    private String descinfo;   //描述
    public AppException(String message){
        this.message = message;
    }
    /**
     * @param code 状态
     * @param message 信息
     */
    public AppException(int code, String message) {
        this.code = code;
        this.message = message;
    }
    /**
     * @param code 状态
     * @param message 信息
     * @param descinfo 错误,描述!
     */
    public AppException(int code, String message,String descinfo) {
        this.code = code;
        this.message = message;
        this.descinfo = descinfo;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getDescinfo() {
        return descinfo;
    }

    public void setDescinfo(String descinfo) {
        this.descinfo = descinfo;
    }
}
