package com.aopcloud.beam.app.core;

public class Result<T> {
    private int code;
    private String message;
    private long timestamp;
    private T data;

    public Result setCode(ResultCode resultCode) {
        this.code = resultCode.code();
        return this;
    }
    public Result setCode(int resultCode) {
        this.code = resultCode;
        return this;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public Result setMessage(String message) {
        this.message = message;
        this.timestamp = System.currentTimeMillis();
        return this;
    }

    public T getData() {
        return data;
    }


    public Result setData(T data) {
        this.data = data;
        this.timestamp = System.currentTimeMillis();
        return this;
    }

}
