package com.aopcloud.beam.app.scheduled.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class BSVMetadata {

    /**
     * code : 1
     * msg : 成功
     * data : [{"network":"BCHSV","block_no":677818,"time":1615378689,"size":8324,"txCnt":20,"sentValue":"1.47874078","miner":"1M4CZGNmAv3o33wYoMLATJp4y4BTDe2okd","fee":"0.00005206","reward":"6.25005206","miningDifficulty":"72479703515.12497"}]
     */

    @JsonProperty("code")
    private Integer code;
    @JsonProperty("msg")
    private String msg;
    @JsonProperty("data")
    private List<DataDTO> data;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<DataDTO> getData() {
        return data;
    }

    public void setData(List<DataDTO> data) {
        this.data = data;
    }

    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class DataDTO implements Serializable {
        /**
         * network : BCHSV
         * block_no : 677818
         * time : 1615378689
         * size : 8324
         * txCnt : 20
         * sentValue : 1.47874078
         * miner : 1M4CZGNmAv3o33wYoMLATJp4y4BTDe2okd
         * fee : 0.00005206
         * reward : 6.25005206
         * miningDifficulty : 72479703515.12497
         */

        @JsonProperty("network")
        private String network;
        @JsonProperty("block_no")
        private Integer blockNo;
        @JsonProperty("time")
        private long time;
        @JsonProperty("size")
        private Integer size;
        @JsonProperty("txCnt")
        private Integer txCnt;
        @JsonProperty("sentValue")
        private String sentValue;
        @JsonProperty("miner")
        private String miner;
        @JsonProperty("fee")
        private String fee;
        @JsonProperty("reward")
        private String reward;
        @JsonProperty("miningDifficulty")
        private String miningDifficulty;

        public String getNetwork() {
            return network;
        }

        public void setNetwork(String network) {
            this.network = network;
        }

        public Integer getBlockNo() {
            return blockNo;
        }

        public void setBlockNo(Integer blockNo) {
            this.blockNo = blockNo;
        }

        public long getTime() {
            return time;
        }

        public void setTime(long time) {
            this.time = time;
        }

        public Integer getSize() {
            return size;
        }

        public void setSize(Integer size) {
            this.size = size;
        }

        public Integer getTxCnt() {
            return txCnt;
        }

        public void setTxCnt(Integer txCnt) {
            this.txCnt = txCnt;
        }

        public String getSentValue() {
            return sentValue;
        }

        public void setSentValue(String sentValue) {
            this.sentValue = sentValue;
        }

        public String getMiner() {
            return miner;
        }

        public void setMiner(String miner) {
            this.miner = miner;
        }

        public String getFee() {
            return fee;
        }

        public void setFee(String fee) {
            this.fee = fee;
        }

        public String getReward() {
            return reward;
        }

        public void setReward(String reward) {
            this.reward = reward;
        }

        public String getMiningDifficulty() {
            return miningDifficulty;
        }

        public void setMiningDifficulty(String miningDifficulty) {
            this.miningDifficulty = miningDifficulty;
        }
    }
}
