package com.aopcloud.beam.app.scheduled.entity;

import java.math.BigDecimal;

public class BTCMetadata {

    /**
     * data : {"height":673204,"version":541065216,"mrkl_root":"5a34a5bae2f3a1463b38a77ce2b4057b30c58d628dddff0e1dbb925f0d418bf0","timestamp":1614914094,"bits":386725091,"nonce":3555289386,"hash":"00000000000000000007877306221210b41c20b8138761e4a7e1c10c0366132f","prev_block_hash":"00000000000000000003f297d98e495db0e90961a06ea1c2022ffa2619144dc5","next_block_hash":"0000000000000000000000000000000000000000000000000000000000000000","size":1620026,"pool_difficulty":37384380260368,"difficulty":21724134900047,"difficulty_double":2.1724134900047273E13,"tx_count":1690,"reward_block":625000000,"reward_fees":51599088,"confirmations":1,"is_orphan":false,"curr_max_timestamp":1614914094,"is_sw_block":true,"stripped_size":791175,"sigops":15613,"weight":3993551,"extras":{"pool_name":"ViaBTC","pool_link":"https://viabtc.com"}}
     * err_code : 0
     * err_no : 0
     * message : success
     * status : success
     */

    private DataBean data;
    private int err_code;
    private int err_no;
    private String message;
    private String status;

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public int getErr_code() {
        return err_code;
    }

    public void setErr_code(int err_code) {
        this.err_code = err_code;
    }

    public int getErr_no() {
        return err_no;
    }

    public void setErr_no(int err_no) {
        this.err_no = err_no;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public static class DataBean {
        /**
         * height : 673204
         * version : 541065216
         * mrkl_root : 5a34a5bae2f3a1463b38a77ce2b4057b30c58d628dddff0e1dbb925f0d418bf0
         * timestamp : 1614914094
         * bits : 386725091
         * nonce : 3555289386
         * hash : 00000000000000000007877306221210b41c20b8138761e4a7e1c10c0366132f
         * prev_block_hash : 00000000000000000003f297d98e495db0e90961a06ea1c2022ffa2619144dc5
         * next_block_hash : 0000000000000000000000000000000000000000000000000000000000000000
         * size : 1620026
         * pool_difficulty : 37384380260368
         * difficulty : 21724134900047
         * difficulty_double : 2.1724134900047273E13
         * tx_count : 1690
         * reward_block : 625000000
         * reward_fees : 51599088
         * confirmations : 1
         * is_orphan : false
         * curr_max_timestamp : 1614914094
         * is_sw_block : true
         * stripped_size : 791175
         * sigops : 15613
         * weight : 3993551
         * extras : {"pool_name":"ViaBTC","pool_link":"https://viabtc.com"}
         */

        private int height;
        private int version;
        private String mrkl_root;
        private long timestamp;
        private int bits;
        private long nonce;
        private String hash;
        private String prev_block_hash;
        private String next_block_hash;
        private int size;
        private long pool_difficulty;
        private long difficulty;
        private double difficulty_double;
        private int tx_count;
        private BigDecimal reward_block;
        private BigDecimal reward_fees;
        private int confirmations;
        private boolean is_orphan;
        private int curr_max_timestamp;
        private boolean is_sw_block;
        private int stripped_size;
        private int sigops;
        private int weight;
        private ExtrasBean extras;

        public int getHeight() {
            return height;
        }

        public void setHeight(int height) {
            this.height = height;
        }

        public int getVersion() {
            return version;
        }

        public void setVersion(int version) {
            this.version = version;
        }

        public String getMrkl_root() {
            return mrkl_root;
        }

        public void setMrkl_root(String mrkl_root) {
            this.mrkl_root = mrkl_root;
        }

        public long getTimestamp() {
            return timestamp;
        }

        public void setTimestamp(long timestamp) {
            this.timestamp = timestamp;
        }

        public int getBits() {
            return bits;
        }

        public void setBits(int bits) {
            this.bits = bits;
        }

        public long getNonce() {
            return nonce;
        }

        public void setNonce(long nonce) {
            this.nonce = nonce;
        }

        public String getHash() {
            return hash;
        }

        public void setHash(String hash) {
            this.hash = hash;
        }

        public String getPrev_block_hash() {
            return prev_block_hash;
        }

        public void setPrev_block_hash(String prev_block_hash) {
            this.prev_block_hash = prev_block_hash;
        }

        public String getNext_block_hash() {
            return next_block_hash;
        }

        public void setNext_block_hash(String next_block_hash) {
            this.next_block_hash = next_block_hash;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public long getPool_difficulty() {
            return pool_difficulty;
        }

        public void setPool_difficulty(long pool_difficulty) {
            this.pool_difficulty = pool_difficulty;
        }

        public long getDifficulty() {
            return difficulty;
        }

        public void setDifficulty(long difficulty) {
            this.difficulty = difficulty;
        }

        public double getDifficulty_double() {
            return difficulty_double;
        }

        public void setDifficulty_double(double difficulty_double) {
            this.difficulty_double = difficulty_double;
        }

        public int getTx_count() {
            return tx_count;
        }

        public void setTx_count(int tx_count) {
            this.tx_count = tx_count;
        }

        public BigDecimal getReward_block() {
            return reward_block;
        }

        public void setReward_block(BigDecimal reward_block) {
            this.reward_block = reward_block;
        }

        public BigDecimal getReward_fees() {
            return reward_fees;
        }

        public void setReward_fees(BigDecimal reward_fees) {
            this.reward_fees = reward_fees;
        }

        public int getConfirmations() {
            return confirmations;
        }

        public void setConfirmations(int confirmations) {
            this.confirmations = confirmations;
        }

        public boolean isIs_orphan() {
            return is_orphan;
        }

        public void setIs_orphan(boolean is_orphan) {
            this.is_orphan = is_orphan;
        }

        public int getCurr_max_timestamp() {
            return curr_max_timestamp;
        }

        public void setCurr_max_timestamp(int curr_max_timestamp) {
            this.curr_max_timestamp = curr_max_timestamp;
        }

        public boolean isIs_sw_block() {
            return is_sw_block;
        }

        public void setIs_sw_block(boolean is_sw_block) {
            this.is_sw_block = is_sw_block;
        }

        public int getStripped_size() {
            return stripped_size;
        }

        public void setStripped_size(int stripped_size) {
            this.stripped_size = stripped_size;
        }

        public int getSigops() {
            return sigops;
        }

        public void setSigops(int sigops) {
            this.sigops = sigops;
        }

        public int getWeight() {
            return weight;
        }

        public void setWeight(int weight) {
            this.weight = weight;
        }

        public ExtrasBean getExtras() {
            return extras;
        }

        public void setExtras(ExtrasBean extras) {
            this.extras = extras;
        }

        public static class ExtrasBean {
            /**
             * pool_name : ViaBTC
             * pool_link : https://viabtc.com
             */

            private String pool_name;
            private String pool_link;

            public String getPool_name() {
                return pool_name;
            }

            public void setPool_name(String pool_name) {
                this.pool_name = pool_name;
            }

            public String getPool_link() {
                return pool_link;
            }

            public void setPool_link(String pool_link) {
                this.pool_link = pool_link;
            }
        }
    }
}
