package com.aopcloud.beam.app.api.ad.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;


@JsonIgnoreProperties(ignoreUnknown = true)
public class AdEntity {


    @Min(value = 1,message = "广告位ID不能为空")
    public int adId;
    @NotBlank(message = "广告位事件类型不能为空")
    public String eventType;
    @NotBlank(message = "广告位事件不能为空")
    public String event;
    @NotBlank(message = "广告位封面不能为空")
    public String img;

    public int getAdId() {
        return adId;
    }

    public void setAdId(int adId) {
        this.adId = adId;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }
}
