package com.aopcloud.beam.app.api.member.controller;


import com.aopcloud.beam.app.api.member.service.impl.MemberCoinAddressServiceImpl;
import com.aopcloud.beam.app.api.member.service.impl.MemberCoinRecordServiceImpl;
import com.aopcloud.beam.app.core.Result;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 会员挖矿记录表 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@RestController
@RequestMapping("/member/profit")
public class MemberCoinRecordController {

    @Resource
    private MemberCoinRecordServiceImpl recordService;

    @GetMapping("/list")
    public Result getList(@RequestHeader String token) {

        return recordService.getList(token);
    }




}
