package com.aopcloud.beam.app.api.member.mapper;

import com.aopcloud.beam.app.api.member.entity.MemberCoinAddress;
import com.aopcloud.beam.app.api.member.entity.MemberCoinRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 会员挖矿记录表 Mapper 接口
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
public interface MemberCoinRecordMapper extends BaseMapper<MemberCoinRecord> {


    /**
     * @return
     */
    @Select("SELECT distinct sly_member_coin_record.*,sly_coin.`cn_name` AS cnName ,sly_coin.`en_name` AS enName ,sly_coin.`img_oss_file` AS imgOssFile FROM sly_member_coin_record,sly_member, sly_coin WHERE sly_member_coin_record.coin_id=sly_coin.id AND sly_member_coin_record.member_id= ${memberId} ")
    List<MemberCoinRecord> getList(long memberId);
}
