package com.aopcloud.beam.app.configurer;

import org.springframework.http.converter.HttpMessageConverter;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;
import org.springframework.stereotype.Component;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import java.util.List;


@Component
public class InterceptionConfig implements WebMvcConfigurer {



    //使用阿里 FastJson 作为JSON MessageConverter
    @Override
    public void configureMessageConverters(List<HttpMessageConverter<?>> converters) {
    }


    //解决跨域问题
    @Override
    public void addCorsMappings(CorsRegistry registry) {
        registry.addMapping("/**")// 允许跨域访问的路径
                .allowedOrigins("*")// 允许跨域访问的源
                .allowedMethods("*")
                .allowedHeaders("*")// 允许头部设置
                .maxAge(180000)
                .allowCredentials(true)
        ;//是否发送cookie
    }

//    //    //本地资源

    @Override
    public void addResourceHandlers(ResourceHandlerRegistry registry) {

    }

    //添加拦截器
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        //登录
//        registry.addInterceptor(loginInterceptor);
//        //日志
//        registry.addInterceptor(logcatInterceptor);
//        //接口签名
//        registry.addInterceptor(signInterceptor);
        //
//        InterceptorRegistration authority = registry.addInterceptor(authorityInterceptor);

//        authority.addPathPatterns("system/**");
//        authority.excludePathPatterns("system/login");

    }

    //
    @Override
    public void addArgumentResolvers(List<HandlerMethodArgumentResolver> resolvers) {

    }


}
