package com.aopcloud.beam.app.dotwallet.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;


@JsonIgnoreProperties(ignoreUnknown = true)
public class DotBaseResponse<T> {

    /**
     * code : 0
     * msg : MSG_act_success
     * data : [{"puid":5024,"user_name":"loan_system","is_solo":0,"address":"","created_at":1589446708}]
     */

    @JsonProperty("code")
    private Integer code;
    @JsonProperty("msg")
    private String msg;
    @JsonProperty("data")
    private T  t;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public T getData() {
        return t;
    }

    public void setData(T data) {
        this.t = data;
    }

    @Override
    public String toString() {
        return "DotBaseResponse{" +
                "code=" + code +
                ", msg='" + msg + '\'' +
                ", t=" + t +
                '}';
    }
}
