package com.aopcloud.beam.app.scheduled.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.math.BigDecimal;

@JsonIgnoreProperties(ignoreUnknown = true)
public class CoinCurrentPrice {


    /**
     * id : bitcoin
     * symbol : btc
     * name : Bitcoin
     * image : https://assets.coingecko.com/coins/images/1/large/bitcoin.png?1547033579
     * current_price : 365434
     * market_cap : 6821823650257
     * market_cap_rank : 1
     * fully_diluted_valuation : 7681366350165
     * total_volume : 370389504288
     * high_24h : 365807
     * low_24h : 347374
     * price_change_24h : 9870.43
     * price_change_percentage_24h : 2.77599
     * market_cap_change_24h : 187753873850
     * market_cap_change_percentage_24h : 2.83015
     * circulating_supply : 1.8650106E7
     * total_supply : 2.1E7
     * max_supply : 2.1E7
     * ath : 380391
     * ath_change_percentage : -3.95132
     * ath_date : 2021-02-21T19:07:32.042Z
     * atl : 407.23
     * atl_change_percentage : 89619.48603
     * atl_date : 2013-07-05T00:00:00.000Z
     * roi : null
     * last_updated : 2021-03-10T14:54:08.975Z
     */

    @JsonProperty("id")
    private String id;
    @JsonProperty("symbol")
    private String symbol;
    @JsonProperty("name")
    private String name;
    @JsonProperty("image")
    private String image;
    @JsonProperty("current_price")
    private double currentPrice;
    @JsonProperty("market_cap")
    private Long marketCap;
    @JsonProperty("market_cap_rank")
    private Integer marketCapRank;
    @JsonProperty("fully_diluted_valuation")
    private Long fullyDilutedValuation;
    @JsonProperty("total_volume")
    private Long totalVolume;
    @JsonProperty("high_24h")
    private Integer high24h;
    @JsonProperty("low_24h")
    private Integer low24h;
    @JsonProperty("price_change_24h")
    private Double priceChange24h;
    @JsonProperty("price_change_percentage_24h")
    private Double priceChangePercentage24h;
    @JsonProperty("market_cap_change_24h")
    private Long marketCapChange24h;
    @JsonProperty("market_cap_change_percentage_24h")
    private Double marketCapChangePercentage24h;
    @JsonProperty("circulating_supply")
    private Double circulatingSupply;
    @JsonProperty("total_supply")
    private Double totalSupply;
    @JsonProperty("max_supply")
    private Double maxSupply;
    @JsonProperty("ath")
    private Integer ath;
    @JsonProperty("ath_change_percentage")
    private Double athChangePercentage;
    @JsonProperty("ath_date")
    private String athDate;
    @JsonProperty("atl")
    private Double atl;
    @JsonProperty("atl_change_percentage")
    private Double atlChangePercentage;
    @JsonProperty("atl_date")
    private String atlDate;
    @JsonProperty("roi")
    private Object roi;
    @JsonProperty("last_updated")
    private String lastUpdated;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSymbol() {
        return symbol;
    }

    public void setSymbol(String symbol) {
        this.symbol = symbol;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public double getCurrentPrice() {
        return currentPrice;
    }

    public void setCurrentPrice(double currentPrice) {
        this.currentPrice = currentPrice;
    }

    public Long getMarketCap() {
        return marketCap;
    }

    public void setMarketCap(Long marketCap) {
        this.marketCap = marketCap;
    }

    public Integer getMarketCapRank() {
        return marketCapRank;
    }

    public void setMarketCapRank(Integer marketCapRank) {
        this.marketCapRank = marketCapRank;
    }

    public Long getFullyDilutedValuation() {
        return fullyDilutedValuation;
    }

    public void setFullyDilutedValuation(Long fullyDilutedValuation) {
        this.fullyDilutedValuation = fullyDilutedValuation;
    }

    public Long getTotalVolume() {
        return totalVolume;
    }

    public void setTotalVolume(Long totalVolume) {
        this.totalVolume = totalVolume;
    }

    public Integer getHigh24h() {
        return high24h;
    }

    public void setHigh24h(Integer high24h) {
        this.high24h = high24h;
    }

    public Integer getLow24h() {
        return low24h;
    }

    public void setLow24h(Integer low24h) {
        this.low24h = low24h;
    }

    public Double getPriceChange24h() {
        return priceChange24h;
    }

    public void setPriceChange24h(Double priceChange24h) {
        this.priceChange24h = priceChange24h;
    }

    public Double getPriceChangePercentage24h() {
        return priceChangePercentage24h;
    }

    public void setPriceChangePercentage24h(Double priceChangePercentage24h) {
        this.priceChangePercentage24h = priceChangePercentage24h;
    }

    public Long getMarketCapChange24h() {
        return marketCapChange24h;
    }

    public void setMarketCapChange24h(Long marketCapChange24h) {
        this.marketCapChange24h = marketCapChange24h;
    }

    public Double getMarketCapChangePercentage24h() {
        return marketCapChangePercentage24h;
    }

    public void setMarketCapChangePercentage24h(Double marketCapChangePercentage24h) {
        this.marketCapChangePercentage24h = marketCapChangePercentage24h;
    }

    public Double getCirculatingSupply() {
        return circulatingSupply;
    }

    public void setCirculatingSupply(Double circulatingSupply) {
        this.circulatingSupply = circulatingSupply;
    }

    public Double getTotalSupply() {
        return totalSupply;
    }

    public void setTotalSupply(Double totalSupply) {
        this.totalSupply = totalSupply;
    }

    public Double getMaxSupply() {
        return maxSupply;
    }

    public void setMaxSupply(Double maxSupply) {
        this.maxSupply = maxSupply;
    }

    public Integer getAth() {
        return ath;
    }

    public void setAth(Integer ath) {
        this.ath = ath;
    }

    public Double getAthChangePercentage() {
        return athChangePercentage;
    }

    public void setAthChangePercentage(Double athChangePercentage) {
        this.athChangePercentage = athChangePercentage;
    }

    public String getAthDate() {
        return athDate;
    }

    public void setAthDate(String athDate) {
        this.athDate = athDate;
    }

    public Double getAtl() {
        return atl;
    }

    public void setAtl(Double atl) {
        this.atl = atl;
    }

    public Double getAtlChangePercentage() {
        return atlChangePercentage;
    }

    public void setAtlChangePercentage(Double atlChangePercentage) {
        this.atlChangePercentage = atlChangePercentage;
    }

    public String getAtlDate() {
        return atlDate;
    }

    public void setAtlDate(String atlDate) {
        this.atlDate = atlDate;
    }

    public Object getRoi() {
        return roi;
    }

    public void setRoi(Object roi) {
        this.roi = roi;
    }

    public String getLastUpdated() {
        return lastUpdated;
    }

    public void setLastUpdated(String lastUpdated) {
        this.lastUpdated = lastUpdated;
    }
}

